# coding=utf-8
# 编译日期：2020-12-30 01:14:33
# 版权所有：www.i-search.com.cn
import pandas as pd
import ubpa.init_input as iinput
import time
import pdb
from ubpa.ilog import ILog
from ubpa.base_img import set_img_res_path
import getopt
from sys import argv
import sys
import os

class DGYH:
     
    def __init__(self,**kwargs):
        self.__logger = ILog(__file__)
        self.path = set_img_res_path(__file__)
        self.robot_no = ''
        self.proc_no = ''
        self.job_no = ''
        self.input_arg = ''
        if('robot_no' in kwargs.keys()):
            self.robot_no = kwargs['robot_no']
        if('proc_no' in kwargs.keys()):
            self.proc_no = kwargs['proc_no']
        if('job_no' in kwargs.keys()):
            self.job_no = kwargs['job_no']
        if('input_arg' in kwargs.keys()):
            self.input_arg = kwargs['input_arg']
            if(len(self.input_arg) <= 0):
                self.input_arg = iinput.load_init(__file__)
            if self.input_arg is None:
                sys.exit(0)
        self.file_path='E:\\TEMP\\9DGYH\\'
        self.riqi=None
        self.save_path=None
    def Main(self):
        zhu_df = pd.read_excel(f'{self.file_path}222.xlsx')
        
        def drop1(x):
            x=str(x[1:])
            return x
        
        zhu_df['代码'] = zhu_df['代码'].apply(drop1)
        zhu_df['合成'] = zhu_df.编号 + zhu_df.代码
        kh_no = zhu_df['合成'].tolist()
        
        zhu_df['是否保存'] = ''
        zhu_df['是否对比'] = ''
        
        print(kh_no)
        print(zhu_df)
        zhu_df.
 
if __name__ == '__main__':
    ILog.begin_init()
    robot_no = ''
    proc_no = ''
    job_no = ''
    input_arg = ''
    try:
        argv = sys.argv[1:]
        opts, args = getopt.getopt(argv,"hr:p:j:i:",["robot = ","proc = ","job = ","input = "])
    except getopt.GetoptError:
        print ('robot.py -r <robot> -p <proc> -j <job>')
    for opt, arg in opts:
        if opt == '-h':
            print ('robot.py -r <robot> -p <proc> -j <job>')
        elif opt in ("-r", "--robot"):
            robot_no = arg
        elif opt in ("-p", "--proc"):
            proc_no = arg
        elif opt in ("-j", "--job"):
            job_no = arg
        elif opt in ("-i", "--input"):
            input_arg = arg
    pro = DGYH(robot_no=robot_no,proc_no=proc_no,job_no=job_no,input_arg=input_arg)
    pro.Main()
